import { html as f } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, a = Object.getOwnPropertyDescriptor, p = (c, t, i, r) => {
  for (var e = r > 1 ? void 0 : r ? a(t, i) : t, o = c.length - 1, l; o >= 0; o--)
    (l = c[o]) && (e = (r ? l(t, i, e) : l(e)) || e);
  return r && e && m(t, i, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--deliveryFee", this.class = "c-pieIcon c-pieIcon--deliveryFee", this.name = "IconDeliveryFee";
  }
  render() {
    return f`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--deliveryFee"><path d="m13.128 1.735-5.33 1.951-3.158 6.817 7.28 3.368 3.159-6.807zm-2.065 9.818L6.959 9.645l2.117-4.568 3.01-1.102 1.103 3.01zM1.874 6.25H4.5V8H1.875zM6.031 4.5H1V2.75h5.031z"></path></svg>`;
  }
};
p([
  n({ type: String, reflect: !0 })
], s.prototype, "size", 2);
p([
  n({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = p([
  v("icon-delivery-fee")
], s);
export {
  s as IconDeliveryFee
};
